﻿using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;

namespace WindowsFormsApplication20
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            ultraGrid1.Dock = DockStyle.Bottom;
            richTextBox1.Dock = DockStyle.Bottom;

            DockAreaPane pane1 = new DockAreaPane(DockedLocation.DockedBottom);
            ultraDockManager1.DockAreas.Add(pane1);
            ultraDockManager1.ControlPanes.Add();
            ultraDockManager1.ControlPanes.Add();
            ultraDockManager1.ControlPanes[0].Dock(true);

            ultraDockManager1.DockAreas[0].ChildPaneStyle = Infragistics.Win.UltraWinDock.ChildPaneStyle.TabGroup;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowClose = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowDockAsTab = Infragistics.Win.DefaultableBoolean.True;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowDockBottom = Infragistics.Win.DefaultableBoolean.True;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowDragging = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowFloating = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowMaximize = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].DefaultPaneSettings.AllowMinimize = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.DockAreas[0].Key = "Grid";
            
            ultraDockManager1.DockAreas[0].Panes.AddRange(new Infragistics.Win.UltraWinDock.DockablePaneBase[] {
            ultraDockManager1.ControlPanes[0],
            ultraDockManager1.ControlPanes[1]});
            ultraDockManager1.DockAreas.AddRange(new Infragistics.Win.UltraWinDock.DockAreaPane[] {
            ultraDockManager1.DockAreas[0]});
            ultraDockManager1.DockAreas[0].Dock(DockedSide.Bottom);

            ultraDockManager1.ControlPanes[0].Control = this.ultraGrid1;
            ultraDockManager1.ControlPanes[0].FlyoutSize = new System.Drawing.Size(-1, 240);
            ultraDockManager1.ControlPanes[0].Key = "Grid";
            ultraDockManager1.ControlPanes[0].OriginalControlBounds = new System.Drawing.Rectangle(3, 231, 723, 247);
            ultraDockManager1.ControlPanes[0].Pinned = false;
            ultraDockManager1.ControlPanes[0].Settings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[0].Settings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[0].Settings.AllowDockTop = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[0].Settings.AllowDragging = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[0].Settings.AllowFloating = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[0].Settings.DoubleClickAction = Infragistics.Win.UltraWinDock.PaneDoubleClickAction.None;
            ultraDockManager1.ControlPanes[0].Size = new System.Drawing.Size(100, 100);
            ultraDockManager1.ControlPanes[0].Text = "Result View";
            

            ultraDockManager1.ControlPanes[1].Control = this.richTextBox1;
            ultraDockManager1.ControlPanes[1].FlyoutSize = new System.Drawing.Size(-1, 240);
            ultraDockManager1.ControlPanes[1].Key = "TextBox";
            ultraDockManager1.ControlPanes[1].OriginalControlBounds = new System.Drawing.Rectangle(3, 231, 723, 247);
            ultraDockManager1.ControlPanes[1].Pinned = false;
            ultraDockManager1.ControlPanes[1].Settings.AllowDockLeft = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[1].Settings.AllowDockRight = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[1].Settings.AllowDockTop = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[1].Settings.AllowDragging = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[1].Settings.AllowFloating = Infragistics.Win.DefaultableBoolean.False;
            ultraDockManager1.ControlPanes[1].Settings.DoubleClickAction = Infragistics.Win.UltraWinDock.PaneDoubleClickAction.None;
            ultraDockManager1.ControlPanes[1].Size = new System.Drawing.Size(100, 100);
            ultraDockManager1.ControlPanes[1].Text = "Text Box";
        }
    }
}